MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage:

## Public Member Functions
EMrEControlModeSystems | ReadActiveSystem (EAxis axis)
| Returns active control mode system of the axis.
void | ChangeActiveSystem (EMrEControlModeSystems mrE2ControlModeSystem, EAxis axis)
| Sets active control mode system of the axis.
void | SetOperationMode (EOperationMode operationMode)
| Set current operation mode in control stage for both axis.
EOperationMode | GetOperationMode ()
| Get current operation mode in control stage for both axis.

## Properties
IXYPid | XYPid`[get]`

## Member Function Documentation

## ◆ ChangeActiveSystem()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage.ChangeActiveSystem | ( | EMrEControlModeSystems | mrE2ControlModeSystem,
|  | EAxis | axis )

Sets active control mode system of the axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetOperationMode()

EOperationMode MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage.GetOperationMode | ( |  | ) |

Get current operation mode in control stage for both axis.

Returns
  OperationMode

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadActiveSystem()

EMrEControlModeSystems MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage.ReadActiveSystem | ( | EAxis | axis | ) |

Returns active control mode system of the axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetOperationMode()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage.SetOperationMode | ( | EOperationMode | operationMode | ) |

Set current operation mode in control stage for both axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## Property Documentation

## ◆ XYPid

IXYPid MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.IControlModeStage.XYPid
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/IControlModeStage.cs